phrGetComponentList {phreeqc} | R Documentation

## Retrieve a list containing the current list of components.

### Description

Retrieve a list containing the current list of components.

### Usage

    phrGetComponentList()

### Value

A list containing the names of the components defined in the current system.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### Examples

    # This example runs the ex2 input file and echos the list of components.
    phrLoadDatabaseString(phreeqc.dat)
    phrRunString(ex2)
    cat("components:\n")
    for (comp in phrGetComponentList()) {
      cat(comp, "\n")
    }

[Package phreeqc version 3.4.10 Index]